Bug 238073 - (perl-GTop) Review Request: perl-GTop - Perl interface to libgtop
Review Request: perl-GTop - Perl interface to libgtop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Package Reviews List
http://search.cpan.org/dist/GTop/
:
Depends On:
Blocks: Catalyst-Runtime
  Show dependency treegraph
 
Reported: 2007-04-26 18:38 EDT by Chris Weyl
Modified: 2010-12-22 12:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-30 17:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-04-26 18:38:07 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-GTop-0.16-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-GTop.spec

Description:
This is a perl interface to the libgtop library, useful for collecting
real-time performance and other system statistics
Comment 1 Chris Weyl 2007-04-26 18:38:55 EDT
This package is a (testing) prereq of the Catalyst framework.
Comment 2 Ville Skyttä 2007-04-27 02:45:06 EDT
Missing '.' at end of %description.

examples/perlbloat.pl doesn't add any problematic dependencies and it's a useful
script, so I think it could be considered better included executable. 

Perhaps fix up the interpreters to %{__perl} instead of hardcoded /usr/bin/perl
for the examples?

Those are mild suggestions only, otherwise looks good, approved no matter if
addressed or not.
Comment 3 Chris Weyl 2007-04-27 13:38:07 EDT
Thanks for the review :)  I just started a "perl vs %{__perl}" thread on
fedora-perl-devel -- from your comment in the other bug it sounds like this
might be a good idea across the board...  Making that script executable and your
other comments are well taken :)  

I'll make the modifications post-import if that's ok...
Comment 4 Chris Weyl 2007-04-27 13:38:33 EDT
New Package CVS Request
=======================
Package Name: perl-GTop
Short Description: Perl interface to libgtop
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 5 Chris Weyl 2007-04-30 17:02:26 EDT
Imported and building -- thanks for the review! :)
Comment 6 Marcela Mašláňová 2010-12-22 07:15:13 EST
Package Change Request
======================
Package Name: perl-GTop
New Branches: el6
Owners: mmaslano psabata ppisar cweyl


It is needed for perl-Event-Lib.
Comment 7 Adrian Reber 2010-12-22 11:31:56 EST
    dbbb
Comment 8 Jason Tibbitts 2010-12-22 12:18:18 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.